org.bouncycastle.asn1.ess

## Class SigningCertificateV2

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ess.SigningCertificateV2

All Implemented Interfaces:
  DEREncodable

    public class SigningCertificateV2
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SigningCertificateV2(ASN1Sequence seq)`
`SigningCertificateV2(ESSCertIDv2[] certs)`
`SigningCertificateV2(ESSCertIDv2[] certs, PolicyInformation[] policies)`

### Method Summary

Methods
`ESSCertIDv2[]` `getCerts()`
`static SigningCertificateV2` `getInstance(java.lang.Object o)`
`PolicyInformation[]` `getPolicies()`
`DERObject` `toASN1Object()` The definition of SigningCertificateV2 is SigningCertificateV2 ::= SEQUENCE { certs SEQUENCE OF ESSCertIDv2, policies SEQUENCE OF PolicyInformation OPTIONAL } id-aa-signingCertificateV2 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 47 }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SigningCertificateV2

    public SigningCertificateV2(ASN1Sequence seq)

#### SigningCertificateV2

    public SigningCertificateV2(ESSCertIDv2[] certs)

#### SigningCertificateV2

    public SigningCertificateV2(ESSCertIDv2[] certs,
                        PolicyInformation[] policies)

### Method Detail

#### getInstance

    public static SigningCertificateV2 getInstance(java.lang.Object o)

#### getCerts

    public ESSCertIDv2[] getCerts()

#### getPolicies

    public PolicyInformation[] getPolicies()

#### toASN1Object

    public DERObject toASN1Object()

The definition of SigningCertificateV2 is

     SigningCertificateV2 ::=  SEQUENCE {
          certs        SEQUENCE OF ESSCertIDv2,
          policies     SEQUENCE OF PolicyInformation OPTIONAL
     }

id-aa-signingCertificateV2 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 47 }

Specified by:
  `toASN1Object` in class `ASN1Encodable`